org.apache.fop.fonts.cff

## Class CFFDataReader.Format1Encoding

- java.lang.Object
- - org.apache.fop.fonts.cff.CFFDataReader.CustomEncoding
  - - org.apache.fop.fonts.cff.CFFDataReader.Format1Encoding

- Enclosing class:
    CFFDataReader

      public class CFFDataReader.Format1Encoding
      extends CFFDataReader.CustomEncoding

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Format1Encoding()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.LinkedHashMap<java.lang.Integer,java.lang.Integer>` | `getRanges()`
    `void` | `setRanges(java.util.LinkedHashMap<java.lang.Integer,java.lang.Integer> ranges)`

    - ### Methods inherited from class org.apache.fop.fonts.cff.CFFDataReader.CustomEncoding

      `getFormat, getNumEntries, setFormat, setNumEntries`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Format1Encoding

          public Format1Encoding()

  - ### Method Detail

    - #### setRanges

          public void setRanges(java.util.LinkedHashMap<java.lang.Integer,java.lang.Integer> ranges)

    - #### getRanges

          public java.util.LinkedHashMap<java.lang.Integer,java.lang.Integer> getRanges()

Copyright 1999-2015 The Apache Software Foundation. All Rights Reserved.